GPG-ERROR-CONFIG(1)

NAME
gpg-error-config - Script to get information about the installed version of libgpg-error

SYNOPSIS
gpg-error-config [options]

DESCRIPTION
gpg-error-config is a tool that is used to configure to determine the compiler and linker flags that should be used to compile and link programs that use Libgpg-error. It is also used internally to the .m4 macros for GNU autoconf that are included with Libgpg-error.

OPTIONS

gpg-error-config accepts the following options:

--mt
    Provide output appropriate for multithreaded programs. --mt is only useful when combined with other options, and must be the first option if present.

--version
    Print the currently installed version of Libgpg-error on the standard output.

--libs
    Print the linker flags that are necessary to link a program using Libgpg-error.

--cflags
    Print the compiler flags that are necessary to compile a program using Libgpg-error.

--prefix=prefix
    If specified, use prefix instead of the installation prefix that Libgpg-error was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=prefix
    If specified, use prefix instead of the installation exec prefix that Libgpg-error was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.